### Function Macro

# GObject OBJECT_WARN_INVALID_PROPERTY_ID

#### Declaration [src]

    #define G_OBJECT_WARN_INVALID_PROPERTY_ID (
      object,
      property_id,
      pspec
    )

#### Description [src]

This macro should be used to emit a standard warning about unexpected properties in `set_property()` and `get_property()` implementations.

This function is not directly available to language bindings.

#### Parameters

`object`

  Type: `-`

  The `GObject` on which `set_property()` or `get_property()` was called.

`property_id`

  Type: `-`

  The numeric id of the property.

`pspec`

  Type: `-`

  The `GParamSpec` of the property.